POST
https://api.hyperleapai.com/feedback-report/prompt-runsGet Prompt runs for feedback analysis based on filter conditions passed in.
Authenticated with your API key in the x-hl-api-key request header.
Request body
application/jsoncallerIdstring · uuidnullablestartDatestring · date-timenullableendDatestring · date-timenullablepageSizeinteger · int32objectnullable
[key]stringnullablepromptIdstring · uuidnullablepromptVersionIdstring · uuidnullablepromptRunIdstring · uuidnullableconversationRunIdstring · uuidnullableworkspaceIdstring · uuidnullableconversationIdstring · uuidnullablelookupTypesstring[]nullableread-onlyuserIdstring · uuidnullableread-onlyisAdminbooleanread-onlyorganizationIdstring · uuidnullableread-onlycontinuationTokenstringnullableincludeFeedbackbooleanAuditFeedback
scoreinteger · int32nullablescoreTextstringnullablescoreTagsstringnullableResponses
200OK
No response body.
curl -X POST "https://api.hyperleapai.com/feedback-report/prompt-runs" \
-H "x-hl-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"callerId": "string",
"startDate": "string",
"endDate": "string",
"pageSize": 0,
"appHeaders": {
"key": "string"
},
"promptId": "string",
"promptVersionId": "string",
"promptRunId": "string",
"conversationRunId": "string",
"workspaceId": "string",
"conversationId": "string",
"lookupTypes": [
"string"
],
"userId": "string",
"isAdmin": true,
"organizationId": "string",
"continuationToken": "string",
"includeFeedback": true,
"feedback": {
"score": 0,
"scoreText": "string",
"scoreTags": "string"
}
}'curl -X POST "https://api.hyperleapai.com/feedback-report/prompt-runs" \
-H "x-hl-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"callerId": "string",
"startDate": "string",
"endDate": "string",
"pageSize": 0,
"appHeaders": {
"key": "string"
},
"promptId": "string",
"promptVersionId": "string",
"promptRunId": "string",
"conversationRunId": "string",
"workspaceId": "string",
"conversationId": "string",
"lookupTypes": [
"string"
],
"userId": "string",
"isAdmin": true,
"organizationId": "string",
"continuationToken": "string",
"includeFeedback": true,
"feedback": {
"score": 0,
"scoreText": "string",
"scoreTags": "string"
}
}'